API y desarrolladores

Update media

patch/v1/products/{product_id}/variants/{variant_id}/media/{media_id}

Update media title or URL on a variant.

Ejemplo

curl -X PATCH "https://api.ya.onl/v1/products/{product_id}/variants/{variant_id}/media/{media_id}" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{}'

Parámetros

product_idintegerpathrequerido

Product identifier

variant_idintegerpathrequerido

Variant identifier

media_idintegerpathrequerido

Media identifier

Cuerpo de la petición

titlestring | null

Media title or alt text

urlstring | null

Public URL of the media file

Respuestas

200
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Media not found
422
Validation Error
429
Rate limit exceeded
¿Necesitas ayuda?